Subject: Re: [ANNOUNCE] Example Cogito Addon - cogito-bundle

From: Aaron Bentley <[email-masked]>
Date: Fri, 20 Oct 2006 15:10:20 -0400

Linus Torvalds wrote:
> Git goes one step further: it _really_ doesn't matter about how you got to 
> a certain state. Absolutely _none_ of what the commits in between the 
> final stages and the common ancestor matter in the least. The only thing 
> that matters is what the states at the end-point are.

That's interesting, because I've always thought one of the strengths of
file-ids was that you only had to worry about end-points, not how you
got there.

How do you handle renames without looking at the history?

Aaron